GNU bug report logs - #8947
24.0.50; `describe-mode': `help-mode-map' pollutes minor mode descriptions

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Drew Adams" <drew.adams@HIDDEN>; Keywords: confirmed; dated Mon, 27 Jun 2011 22:43:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) wontfix. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 8947 <at> debbugs.gnu.org:


Received: (at 8947) by debbugs.gnu.org; 1 May 2016 20:23:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 16:23:28 2016
Received: from localhost ([127.0.0.1]:32835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awxto-0007WN-9s
	for submit <at> debbugs.gnu.org; Sun, 01 May 2016 16:23:28 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:41071)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1awxtm-0007W4-LM
 for 8947 <at> debbugs.gnu.org; Sun, 01 May 2016 16:23:26 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1awxtk-00023C-5c; Sun, 01 May 2016 22:23:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#8947: 24.0.50;
 `describe-mode': `help-mode-map' pollutes minor mode descriptions
References: <7E6FAA5B1CA644F9A30BD871EBA2DFC1@HIDDEN>
 <87ob2f8sj7.fsf@HIDDEN> <878tzyouz0.fsf@HIDDEN>
 <8760uxzl27.fsf@HIDDEN>
 <110eca3a-7bf1-478d-ab4d-6cd6a0ac8196@default>
Date: Sun, 01 May 2016 22:23:23 +0200
In-Reply-To: <110eca3a-7bf1-478d-ab4d-6cd6a0ac8196@default> (Drew Adams's
 message of "Sun, 1 May 2016 13:06:13 -0700 (PDT)")
Message-ID: <8760uxy1c4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 8947
Cc: 8947 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Drew Adams <drew.adams@HIDDEN> writes:

> One of us is missing something, I think.
>
> The recipe I gave was this:
>
>   emacs -Q
>
>   Visit any *.el file, hit `C-h m', then search for `Transient'
>   ^^^^^^^^^^^^^^^^^^^
>   in *Help*.  The help for `transient-mark-mode' says this:
>
>   "...for example, incremental search, <, and >."

Hm, so it does.  Reopening.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8947; Package emacs. Full text available.

Message received at 8947 <at> debbugs.gnu.org:


Received: (at 8947) by debbugs.gnu.org; 1 May 2016 20:20:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 16:20:38 2016
Received: from localhost ([127.0.0.1]:32816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awxr3-0007QV-Pr
	for submit <at> debbugs.gnu.org; Sun, 01 May 2016 16:20:37 -0400
Received: from mout.web.de ([212.227.15.4]:59953)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1awxr2-0007QI-1Q
 for 8947 <at> debbugs.gnu.org; Sun, 01 May 2016 16:20:36 -0400
Received: from drachen.dragon ([94.217.122.112]) by smtp.web.de (mrweb003)
 with ESMTPSA (Nemesis) id 0Mhljf-1bIdbf1llz-00MtLN; Sun, 01 May 2016 22:20:24
 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#8947: 24.0.50;
 `describe-mode': `help-mode-map' pollutes minor mode descriptions
References: <7E6FAA5B1CA644F9A30BD871EBA2DFC1@HIDDEN>
 <87ob2f8sj7.fsf@HIDDEN> <878tzyouz0.fsf@HIDDEN>
 <8760uxzl27.fsf@HIDDEN>
 <110eca3a-7bf1-478d-ab4d-6cd6a0ac8196@default>
Date: Sun, 01 May 2016 22:20:22 +0200
In-Reply-To: <110eca3a-7bf1-478d-ab4d-6cd6a0ac8196@default> (Drew Adams's
 message of "Sun, 1 May 2016 13:06:13 -0700 (PDT)")
Message-ID: <87y47tbke1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:OYYjhREMPYRS5/fj90K8Xx7WlSGjkbr4TOXrR5SAWJKdniQFd3f
 lS9rvmNORIdg/JpUKI0lIxR8nUrJtQ0rxwL5383SLqAQvlF3NCFtZC3zb03lesJhFfv9qdj
 wleqA6rSNtjv7r25GXaozF1sf4gb8ghCulXsBhlKCweSJWAAyEpVwFrFmwgbTZkSkIXU1Rz
 ivRmswEWVJgn8MUgCk3yA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:+WPKiXSqFlo=:rLzEtJQhOdhiooC8s4kqL1
 Z9gkIbSICwzLnennQzc/+hDUVkUF/MwA+O6tbTOx+5fWiEZXFLdRoHsdCEyJyNSPErleSsK3Y
 9fdrLOW99u+zm6ApCauDnxVegD4zH2kO20Z2SpQWPAcBSfWL0EKuvx4qIrp8RYBFkgKeZI7T/
 I0l1fgRW/BTpsLKoBm3tLuGKJt8iU6IsJk93nez4kJTXXGejsdPOC6ejVCpzX9dcjKTViz/tI
 OzJOXNYREGZx3qJEP8nDIb5m/h0+93GmheotpBXL07fxx6Z82DXzNLYXVGGlMiZyEeiI9w0Do
 k/jBrBlD9i2UYBq+4lMuBuDFWrhA5yovMFvedtRlcc39SeKoJ2uleVAahR2GM8u4jF+JWISbM
 TW0ZvCyxOYG6PpT0iTPQGAu+6PGXhIHwmzMXxMkhW8QCZ5PGYrjP+7a3R6oo/LFcPEtwXK+ww
 r05yR2ed15WJZ7jCtceR9E+tHmQssJXIEJh9Mi6Xc1vjhUmk5zvqu71jG43XToEOuCkXmpN91
 V19+K7MsWSpZBsUR8Fb5W9AuOh8M0GrHVDY509XR54i6ipibQrzgWkTfITLCrSbKWdRUgyo4D
 3qYIctBHsNe0f8b2O7b78yZG+VdGAaiPBWzma/divh/IaXEwOCmr7z9nCFQioyMfudhwsTTTc
 WhPMhMcyLau/0b36HL8qtq5TIs9yKALuMRscCpxCJ8T5SCsuQfLufQf9Z6d+4QJlk9bTd8lhb
 ghweo+phyWkVbD1FBh6Wp3oOhahSaCqGEEZ0yFcQTCMpe0SlQodf38xOQnmWp7LWlnuC3+WW6
 FcZCH6m
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 8947
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 8947 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> The recipe I gave was this:
>
>   emacs -Q
>  
>   Visit any *.el file, hit `C-h m', then search for `Transient'
>   ^^^^^^^^^^^^^^^^^^^
>   in *Help*.  The help for `transient-mark-mode' says this:
>  
>   "...for example, incremental search, <, and >."
>
> And I explained the cause: The doc for `transient-mark-mode'
> is being picked up after *Help* has become the current buffer.
> That is not the correct behavior.

I agree.  I can reproduce this, and your explanation makes sense.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8947; Package emacs. Full text available.

Message received at 8947 <at> debbugs.gnu.org:


Received: (at 8947) by debbugs.gnu.org; 1 May 2016 20:06:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 16:06:25 2016
Received: from localhost ([127.0.0.1]:32799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awxdJ-000779-Ez
	for submit <at> debbugs.gnu.org; Sun, 01 May 2016 16:06:25 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:28457)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1awxdI-00076v-9r
 for 8947 <at> debbugs.gnu.org; Sun, 01 May 2016 16:06:24 -0400
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u41K6HFi014017
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sun, 1 May 2016 20:06:18 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u41K6Hnj014579
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sun, 1 May 2016 20:06:17 GMT
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by aserv0122.oracle.com (8.13.8/8.13.8) with ESMTP id u41K6EQk018274;
 Sun, 1 May 2016 20:06:15 GMT
MIME-Version: 1.0
Message-ID: <110eca3a-7bf1-478d-ab4d-6cd6a0ac8196@default>
Date: Sun, 1 May 2016 13:06:13 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: bug#8947: 24.0.50; `describe-mode': `help-mode-map' pollutes
 minor mode descriptions
References: <7E6FAA5B1CA644F9A30BD871EBA2DFC1@HIDDEN>
 <87ob2f8sj7.fsf@HIDDEN> <878tzyouz0.fsf@HIDDEN>
 <8760uxzl27.fsf@HIDDEN>
In-Reply-To: <8760uxzl27.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0021.oracle.com [141.146.126.233]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 8947
Cc: 8947 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Hm...  well, after fiddling with this a bit more, I see that it's
> describing all these minor mode bindings in the context of the buffer
> you were in when you called the description command.  I think that's
> correct.  If you have these commands bound to `<' etc in that mode, then
> that is what the help command will say.
>=20
> So the form above will give different results when run from, say,
> *scratch* and from a special mode, and that's fine.  Closing.

One of us is missing something, I think.

The recipe I gave was this:

  emacs -Q
=20
  Visit any *.el file, hit `C-h m', then search for `Transient'
  ^^^^^^^^^^^^^^^^^^^
  in *Help*.  The help for `transient-mark-mode' says this:
=20
  "...for example, incremental search, <, and >."

And I explained the cause: The doc for `transient-mark-mode'
is being picked up after *Help* has become the current buffer.
That is not the correct behavior.

It is NOT being picked up from "the context of the buffer
you were in when you called the description command".  That's
exactly what the bug is: it is NOT behaving as you claim it
is.  It is showing you `transient-mark-mode' bindings for
`Help' mode, not for `Emacs-Lisp' mode, which was the mode
of the buffer where you hit `C-h m'.

This should not have been closed, or else I am truly missing
something.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8947; Package emacs. Full text available.
bug closed, send any further explanations to 8947 <at> debbugs.gnu.org and "Drew Adams" <drew.adams@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 8947 <at> debbugs.gnu.org:


Received: (at 8947) by debbugs.gnu.org; 1 May 2016 18:32:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 14:32:15 2016
Received: from localhost ([127.0.0.1]:60982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awwA7-0001fv-P9
	for submit <at> debbugs.gnu.org; Sun, 01 May 2016 14:32:15 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:40475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1awwA2-0001fd-Ui
 for 8947 <at> debbugs.gnu.org; Sun, 01 May 2016 14:32:10 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1aww9y-00018e-9Y; Sun, 01 May 2016 20:32:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#8947: 24.0.50;
 `describe-mode': `help-mode-map' pollutes minor mode descriptions
References: <7E6FAA5B1CA644F9A30BD871EBA2DFC1@HIDDEN>
 <87ob2f8sj7.fsf@HIDDEN> <878tzyouz0.fsf@HIDDEN>
Date: Sun, 01 May 2016 20:32:00 +0200
In-Reply-To: <878tzyouz0.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 28 Apr 2016 13:04:19 +0200")
Message-ID: <8760uxzl27.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 8947
Cc: 8947 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Here's a shorter test case:
>
> (progn
>   (describe-function 'transient-mark-mode)
>   (with-current-buffer (get-buffer "*Help*")
>     (revert-buffer)))
>
> After answering "y", the `M-'s will go missing before the `<' and '>'.

Hm...  well, after fiddling with this a bit more, I see that it's
describing all these minor mode bindings in the context of the buffer
you were in when you called the description command.  I think that's
correct.  If you have these commands bound to `<' etc in that mode, then
that is what the help command will say.

So the form above will give different results when run from, say,
*scratch* and from a special mode, and that's fine.  Closing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8947; Package emacs. Full text available.

Message received at 8947 <at> debbugs.gnu.org:


Received: (at 8947) by debbugs.gnu.org; 28 Apr 2016 11:05:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 07:05:01 2016
Received: from localhost ([127.0.0.1]:51301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avjkf-0005YT-Uh
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2016 07:05:01 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:35392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1avjkb-0005YH-2x
 for 8947 <at> debbugs.gnu.org; Thu, 28 Apr 2016 07:04:56 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1avjk3-0001H0-JY; Thu, 28 Apr 2016 13:04:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#8947: 24.0.50;
 `describe-mode': `help-mode-map' pollutes minor mode descriptions
References: <7E6FAA5B1CA644F9A30BD871EBA2DFC1@HIDDEN>
 <87ob2f8sj7.fsf@HIDDEN>
Date: Thu, 28 Apr 2016 13:04:19 +0200
In-Reply-To: <87ob2f8sj7.fsf@HIDDEN> (Lars Ingebrigtsen's message
 of "Sun, 09 Feb 2014 21:07:24 -0800")
Message-ID: <878tzyouz0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 8947
Cc: 8947 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> "Drew Adams" <drew.adams@HIDDEN> writes:
>
>> Visit any *.el file, hit `C-h m', then search for `Transient' in *Help*.
>> The help for `transient-mark-mode' says this:
>>
>> "...for example, incremental search, <, and >."
>>
>> `<' and `>' here should be `M-<' and `M->'.  The bug happens because
>> `help-mode-map' is being used to interpret `\\[beginning-of-buffer]'
>> and `\\[end-of-buffer]'.  In the *Help* buffer, where the text is
>> used, the current keymap is being picked up, where these commands
>> are bound to `<' and `>'.
>
> This bug still exists in Emacs 24.3.

Here's a shorter test case:

(progn
  (describe-function 'transient-mark-mode)
  (with-current-buffer (get-buffer "*Help*")
    (revert-buffer)))

After answering "y", the `M-'s will go missing before the `<' and '>'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8947; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 8947 <at> debbugs.gnu.org:


Received: (at 8947) by debbugs.gnu.org; 10 Feb 2014 05:08:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 10 00:08:54 2014
Received: from localhost ([127.0.0.1]:33551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WCj70-00081Y-Bo
	for submit <at> debbugs.gnu.org; Mon, 10 Feb 2014 00:08:54 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:38028)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1WCj6y-00081Q-Ck
 for 8947 <at> debbugs.gnu.org; Mon, 10 Feb 2014 00:08:53 -0500
Received: from [204.14.154.233] (helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1WCj6j-0006ST-MG; Mon, 10 Feb 2014 06:08:38 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#8947: 24.0.50;
 `describe-mode': `help-mode-map' pollutes minor mode descriptions
References: <7E6FAA5B1CA644F9A30BD871EBA2DFC1@HIDDEN>
Date: Sun, 09 Feb 2014 21:07:24 -0800
In-Reply-To: <7E6FAA5B1CA644F9A30BD871EBA2DFC1@HIDDEN> (Drew Adams's
 message of "Mon, 27 Jun 2011 15:41:59 -0700")
Message-ID: <87ob2f8sj7.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (Ma Gnus v0.10) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1WCj6j-0006ST-MG
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1392613718.3888@nytHDI8wO4Ht0iW0nX9vwg
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 8947
Cc: 8947 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

"Drew Adams" <drew.adams@HIDDEN> writes:

> Visit any *.el file, hit `C-h m', then search for `Transient' in *Help*.
> The help for `transient-mark-mode' says this:
>
> "...for example, incremental search, <, and >."
>
> `<' and `>' here should be `M-<' and `M->'.  The bug happens because
> `help-mode-map' is being used to interpret `\\[beginning-of-buffer]'
> and `\\[end-of-buffer]'.  In the *Help* buffer, where the text is
> used, the current keymap is being picked up, where these commands
> are bound to `<' and `>'.

This bug still exists in Emacs 24.3.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8947; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jun 2011 22:42:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 27 18:42:19 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QbKVX-0000nq-3L
	for submit <at> debbugs.gnu.org; Mon, 27 Jun 2011 18:42:19 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1QbKVU-0000nc-4F
	for submit <at> debbugs.gnu.org; Mon, 27 Jun 2011 18:42:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1QbKVN-0004xN-Pu
	for submit <at> debbugs.gnu.org; Mon, 27 Jun 2011 18:42:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	T_RP_MATCHES_RCVD, UNPARSEABLE_RELAY autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:60483)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1QbKVN-0004xJ-DN
	for submit <at> debbugs.gnu.org; Mon, 27 Jun 2011 18:42:09 -0400
Received: from eggs.gnu.org ([140.186.70.92]:51273)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1QbKVL-0003KZ-S8
	for bug-gnu-emacs@HIDDEN; Mon, 27 Jun 2011 18:42:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1QbKVK-0004x3-BZ
	for bug-gnu-emacs@HIDDEN; Mon, 27 Jun 2011 18:42:07 -0400
Received: from rcsinet10.oracle.com ([148.87.113.121]:43207)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1QbKVJ-0004ws-UG
	for bug-gnu-emacs@HIDDEN; Mon, 27 Jun 2011 18:42:06 -0400
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
	by rcsinet10.oracle.com (Switch-3.4.4/Switch-3.4.2) with ESMTP id
	p5RMg2ds017817
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Mon, 27 Jun 2011 22:42:04 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	p5RMg2b4002571
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <bug-gnu-emacs@HIDDEN>; Mon, 27 Jun 2011 22:42:02 GMT
Received: from abhmt003.oracle.com (abhmt003.oracle.com [141.146.116.12])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	p5RMfvS2030338
	for <bug-gnu-emacs@HIDDEN>; Mon, 27 Jun 2011 17:41:57 -0500
Received: from dradamslap1 (/130.35.178.194)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Mon, 27 Jun 2011 15:41:56 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.0.50;
	`describe-mode': `help-mode-map' pollutes minor mode descriptions
Date: Mon, 27 Jun 2011 15:41:59 -0700
Message-ID: <7E6FAA5B1CA644F9A30BD871EBA2DFC1@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
Thread-Index: Acw1G2xaX9zWdRc5QSimXJyFJas9cg==
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6109
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Auth-Type: Internal IP
X-CT-RefId: str=0001.0A090203.4E09073C.00D1:SCFMA922111,ss=1,re=-4.000,fgs=0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 1)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.5 (------)

This bug seems to date from the first day that `describe-mode' included
minor-mode information.
 
emacs -Q
 
Visit any *.el file, hit `C-h m', then search for `Transient' in *Help*.
The help for `transient-mark-mode' says this:
 
"...for example, incremental search, <, and >."
 
`<' and `>' here should be `M-<' and `M->'.  The bug happens because
`help-mode-map' is being used to interpret `\\[beginning-of-buffer]'
and `\\[end-of-buffer]'.  In the *Help* buffer, where the text is
used, the current keymap is being picked up, where these commands
are bound to `<' and `>'.
 
Note that the problem isn't manifested for something like `C-h f
transient-mark-mode'.  In that case the bindings picked up are those of
the current buffer where the command is issued.  If you do that in
*Help* then you get `<' and `>'.  If you do it in *.el then you get
`M-<' and `M->'.
 
In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-06-27 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt --cflags
-Ic:/build/include'
 





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8947; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Oct 2016 04:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.